<?php
/**
 * The template for displaying the general dashboard.
 *
 * @package wp-clf-lite
 */

$data 					= get_query_var( 'template_data' );
$get_component  = ! empty( $wp_query->query_vars['component'] ) ? $wp_query->query_vars['component'] : '';
$get_sections 	= \UBC\Press\Utils::ubc_press_get_sections_by_component( esc_html( $get_component ) );

$miss_msg1 = 'Wait... What... there is nothing here... Run to the hills!';
$get_component_name = 'hiddenquiz' === $get_component ? 'quizze' : $get_component;
$section_type = UBC_WP_CLF_Lite::get_course_content_name_convention();

?>


<?php if ( is_array( $get_sections ) ) : ?>

<ul class="sub-section-list no-bullet">

<?php foreach ( $get_sections as $get_section ) :

	$get_id 			 		= $get_section->ID;
	$get_title 		 		= get_the_title( $get_id );
	$get_permalink 		= get_the_permalink( $get_id );
	$title_attr_args 	= array( 'before' => 'Read ', 'after' => '', true, $get_id );
	$get_ancestor 		= get_ancestors( $get_id, 'section', 'post_type' );
	$get_parent_id 		= $get_ancestor[0];
	$get_parent_title = get_the_title( $get_parent_id );
	$get_excerpt 			= get_the_excerpt();

?>

<li class="align-items-center sub-section-<?php echo esc_html( $get_id ); ?>" data-post-id="<?php echo absint( $get_id ); ?>">
	<a href="<?php echo esc_url( $get_permalink ); ?>" title="<?php the_title_attribute( array( 'before' => 'Read more on ', 'after' => wp_kses_post( $comp_text_to_output ), true, absint( $get_id ) ) ); ?>" class="sub-section-link row">
		<h4 class="sub-section-title">
			<?php  echo esc_html( $get_title ); ?>
		</h4>
	</a>

</li>

<?php endforeach; ?>

<?php else : ?>

	<p class="lead">
		<strong><?php echo esc_html( __( $miss_msg1, 'ubc-press' ) ); ?></strong>
	</p>
	<p>
		Sorry. There appears to be no <?php echo esc_html( $section_type ); ?>s available for "<i><?php echo esc_html( $get_component_name ); ?></i>".
	</p>

</ul>
<?php endif; ?>
