<?php
/**
 * Template for mark as complete button.
 *
 * @since 0.7.38
 * @param $setup - located in \UBC\Press\Theme\Setup::mark_as_complete_single_button
 */

$svg_args = array( 'svg' => array( 'class' => true, ), 'use' => array( 'xlink:href' => true ) );

?>
	<a role="button" aria-label="<?php echo esc_html( $setup['completed']['button_text'] ); ?>"
	href="<?php echo esc_url( $setup['default_url'] ); ?>"
	data-nonce="<?php echo esc_html( $setup['nonce'] ); ?>"
	data-post_id="<?php echo absint( $setup['data']['post_id'] ); ?>"
	class="<?php echo esc_attr( $setup['button_style']['button_class'] ); ?> <?php echo esc_attr( $setup['completed']['button_class'] ); ?> <?php echo esc_attr( $setup['button_style']['button_extra_classes'] ); ?> medium button round"
	data-click-open="false"
	data-tooltip
	aria-haspopup="true"
	data-disable-hover="false"
	data-fade-out-duration="600"
	tabindex="1"
	title="<?php echo esc_html( $setup['when_completed']['tooltip'] ); ?>"
	>

		<span class="<?php echo esc_attr( $setup['hide_text'] ? 'show-for-sr' : 'showing' ); ?>"><?php echo esc_html( $setup['completed']['button_text'] ); ?></span>
		<?php if ( empty( $setup['hide_icon'] ) ) : ?>
			<?php echo wp_kses( $setup['button_style']['button_icon'], $svg_args ); ?>
		<?php endif; ?>
	</a><!-- .mark as-complete -->
