<?php
/**
 * Instructor widget template
 *
 * @since 1.0.0
 *
 */

$widget_title 	= ! empty( $instance['widget_title'] ) ? $instance['widget_title'] : '';
$post_types 	= array(
	'handout' => 'handout',
	'reading' => 'reading',
	'link' => 'link',
	'hiddenquiz' => 'hiddenquiz',
	'assignment' => 'assignment',
	'lecture' => 'lecture',
	'forum' => 'forum',
	'topic' => 'topic',
);

$get_component_slug = 'coursecontent/?component=';
?>

<header>
	<h3 class="widget-title"><?php echo esc_html( $widget_title ); ?></h3>
</header>
<ul>
<?php foreach ( $post_types as $post_type ) { ?>
	<?php $has_posts = get_posts( 'post_type=' . $post_type ); ?>
	<?php if ( ! empty( $has_posts ) ) { ?>
		<?php $get_site_url = get_site_url( null, $get_component_slug . $post_type ); ?>
		<?php $post_type_name = ( 'hiddenquiz' == $post_type  ? 'quizze' : $post_type ); ?>
		<li>
			<a href="<?php echo esc_url( $get_site_url ); ?>" title="See all sub sections with <?php echo esc_attr( $post_type_name ); ?>s"><?php echo esc_html( $post_type_name ); ?>s</a>
		</li>
	<?php }; ?>
<?php }; ?>
</ul>
